#
# Conditional build:
%bcond_without	apidocs		# don't build api docs

Summary:	Netlink sockets library
Summary(pl.UTF-8):	Biblioteka do obsługi gniazd netlink
Name:		libnl1
Version:	1.1.4
Release:	4
License:	LGPL v2.1
Group:		Libraries
Source0:	http://people.suug.ch/~tgr/libnl/files/libnl-%{version}.tar.gz
# Source0-md5:	580cb878be536804daca87fb75ae46cc
Patch4:		libnl-1.0-pre8-more-build-output.patch
Patch5:		libnl-1.1-include-limits-h.patch
Patch6:		libnl-1.1-doc-inlinesrc.patch
URL:		http://www.infradead.org/~tgr/libnl/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_apidocs:BuildRequires:	doxygen}
%{?with_apidocs:BuildRequires:	graphviz}
BuildRequires:	linux-libc-headers >= 6:2.6.23
%{?with_apidocs:BuildRequires:	tetex-dvips}
%{?with_apidocs:BuildRequires:	tetex-format-latex}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnl1 is a library for applications dealing with netlink socket. It
provides an easy to use interface for raw netlink message but also
netlink family specific APIs.

%description -l pl.UTF-8
libnl1 jest biblioteką dla aplikacji rozmawiających z gniazdem
netlink. Udostępnia łatwy w użyciu interfejs do korzystania z surowych
wiadomości netlink, a także API specyficzne dla rodziny gniazd
netlink.

%package devel
Summary:	Header files for libnl1 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnl1
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Conflicts:	libnl-devel < 1:3.2

%description devel
Header files for libnl1 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnl1.

%package static
Summary:	Static libnl1 library
Summary(pl.UTF-8):	Statyczna biblioteka libnl1
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Conflicts:	libnl-static < 1:3.2

%description static
Static libnl1 library.

%description static -l pl.UTF-8
Statyczna biblioteka libnl1.

%package apidocs
Summary:	libnl1 library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnl1
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
Documentation for libnl1 library API and guides in HTML format
generated from sources by doxygen.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnl1 oraz wprowadzenie w formacie HTML
wygenerowane ze źródeł za pomocą doxygena.

%prep
%setup -q -n libnl-%{version}
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__aclocal}
%{__autoconf}

%configure \
	--enable-static \
	--enable-verbose-errors

%{__make}
%{?with_apidocs:%{__make} -C doc gendoc}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# for autodeps to work
chmod +x $RPM_BUILD_ROOT%{_libdir}/libnl.so.*.*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libnl.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libnl.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnl.so
%{_includedir}/netlink
%{_pkgconfigdir}/libnl-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnl.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%endif
%changelog
* Sat Dec 19 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnl1.git;a=log;h=master

* Sat Dec 19 2015 Jan Rękorajski <baggins@pld-linux.org> eccc73f
- release 4 (by relup.sh)

* Sun Mar 29 2015 Elan Ruusamäe <glen@delfi.ee> 13445bc
- noarch apidocs

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b5ba3fb
- x32 rebuild
- release 2 (by relup.sh)

* Fri Oct 03 2014 Elan Ruusamäe <glen@delfi.ee> 067eeff
- up to 1.1.4; drop applied patches

* Mon Jul 01 2013 Marcin Krol <hawk@tld-linux.org> 5d3758a
- release 4 (by relup.sh)

* Sat Sep 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 491353d
- rel 3; doesn't conflict with latest libnl anymore

* Wed Sep 07 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fe91a5d
- rel 2; use patches from fc (drop our variants)

* Mon Mar 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dc95693
- ... or better Obsoletes

* Mon Mar 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a4a84d
- devel/static obsoletes libnl devel/static

* Mon Mar 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 296b7e1
- libnl1.spec with version 1.1

* Sun Mar 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1005cdc
- rel 2; mark modules with skip_post_check_so

* Thu Mar 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 395195a
- updated to 3.0 (note: new libnl soname; more libs introduced)
- removed obsolete patches

* Thu Mar 25 2010 Jakub Bogusz <qboosh@pld-linux.org> e48ebc5
- updated Source0 URL

* Fri Dec 25 2009 Elan Ruusamäe <glen@pld-linux.org> e4a7e7b
- new working url

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> f16fda0
- BR: graphviz (for apidocs)

* Wed May 27 2009 Elan Ruusamäe <glen@pld-linux.org> f5ab9cc
- fix error: /usr/include/netlink/object.h:58: error: inline function 'nl_object_priv' declared but never defined
- rel 4

* Wed Mar 11 2009 Jakub Bogusz <qboosh@pld-linux.org> 38377c0
- pl for -apidocs

* Tue Mar 10 2009 Elan Ruusamäe <glen@pld-linux.org> d4b0a9a
- fix apidocs

* Tue Mar 10 2009 Elan Ruusamäe <glen@pld-linux.org> cf5d7df
- build apidocs

* Fri Aug 29 2008 Elan Ruusamäe <glen@pld-linux.org> d3017be
- llh 2.6.23 for VLAN_FLAG_REORDER_HDR

